
Foreman - Bug #1093

undefined method `file_prefix`

08/07/2011 07:35 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing HostsController#medium_selected (for 10.35.1.213 at 2011-08-07 14:35:07) [POST]

  Parameters: {"action"=>"medium_selected", "authenticity_token"=>"/viBXhzUogK80sH32jnr9MR4yMNKR8u

UqRkKdvALl5w=", "controller"=>"hosts", "host"=>{"architecture_id"=>"1", "use_image"=>"undefined", 

"medium_id"=>"3", "operatingsystem_id"=>"16"}}

ActionView::TemplateError (undefined method `file_prefix' for #<ActiveRecord::Associations::Belong

sToAssociation:0x7f8b22b87180>) on line #8 of app/views/common/os_selection/_image_details.html.er

b:

5:     <%= check_box_tag type + "[use_image]", 1, item.use_image, :id => type + "_cb_use_image" -%

>

6:   </span>

7:   <%= label_tag "#{item}_image_file", "Image filename",  :class => "span-4" -%>

8:   <%= image_file_entry item-%>

9:   <%= observe_field type + "_cb_use_image",

10:     :url => { :action => :use_image_selected },

11:     :with => "'#{type}[use_image]=' + value + '&#{type}[medium_id]=' + $('##{type}_medium_id')

.val() + '&#{type}[operatingsystem_id]=' + $('##{type}_operatingsystem_id').val() + '&#{type}[arch

itecture_id]=' + $('##{type}_architecture_id').val() + '&#{type}[model_id]=' + $('##{type}_model_i

d').val()" 

Associated revisions

Revision e5cc5c69 - 08/09/2011 03:47 AM - Ohad Levy

fixes #1093 - undefined method

History

#1 - 08/09/2011 03:32 AM - Corey Osman

- File Screen_Shot_2011-08-09_at_12.30.54_AM.png added

#2 - 08/09/2011 06:26 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e5cc5c69f91e8dc5641ffba292a23e0facdb5379.
